import { h } from "@stencil/core";
export default {
  title: "Components/Widget Email Verification",
};
const defaultProps = {
  email: "",
  error: false,
  loading: false,
  initialLoading: false,
  sendCodeError: false,
};
export const Default = () => (h("sqm-email-verification", { demoData: {} }));
export const EmailIsPrefilled = () => (h("div", null,
  h("sqm-text", null,
    h("h4", null, "Verify your email")),
  h("sqm-text", null,
    h("sub", null, "To get your cash paid out directly to your bank account, please complete your account setup")),
  h("sqm-email-verification", { demoData: {
      states: {
        ...defaultProps,
        email: "test@example.com",
      },
    } })));
export const Loading = () => (h("sqm-email-verification", { demoData: {
    states: {
      ...defaultProps,
      initialLoading: true,
    },
  } }));
export const SaveLoading = () => (h("sqm-email-verification", { demoData: {
    states: {
      ...defaultProps,
      loading: true,
    },
  } }));
export const WithHeader = () => (h("div", null,
  h("sqm-text", null,
    h("h4", null, "Verify your email")),
  h("sqm-text", null,
    h("sub", null, "To get your cash paid out directly to your bank account, please complete your account setup")),
  h("sqm-email-verification", { demoData: {
      states: {
        ...defaultProps,
        email: "test@example.com",
      },
    } })));
export const InvalidEmail = () => (h("sqm-email-verification", { demoData: {
    states: {
      ...defaultProps,
      error: true,
    },
  } }));
export const SendCodeError = () => (h("sqm-email-verification", { demoData: {
    states: {
      ...defaultProps,
      sendCodeError: true,
    },
  } }));
